Bug 437449 - NetworkManager dead unexpectedly
NetworkManager dead unexpectedly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 05:34 EDT by Jane Lv
Modified: 2009-02-05 10:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 10:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (529.35 KB, text/plain)
2008-03-14 05:34 EDT, Jane Lv
no flags Details
output of "iwlist wlan0 scan" (10.52 KB, text/plain)
2008-04-21 03:28 EDT, Jane Lv
no flags Details

  None (edit)
Description Jane Lv 2008-03-14 05:34:58 EDT
Description of problem:
I tested Intel iwl4965 wireless driver against RHEL5.2-Beta on Intel SantaRosa 
platform.  I used NetworkManager to try connect AP with different 
configurations.  Within 2 hours testing, NetworkManager dead twice.

Version-Release number of selected component (if applicable):
NetworkManager version is 0.6.4-7.el5

How reproducible:
It happened 2 times, but cannot be reproduced by regular steps.

Steps to Reproduce:
1. Insert iwl4965 driver by "#modprobe iwl4965".
2. Start NetworkManager by "#service NetworkManager start"
3. Using NetworkManager to connect APs. About 20 times connections and 
disconnections.
  
Actual results:
NetworkManager dead unexpectedly.

Check NetworkManager status,
#service NetworkManager status
NetworkManager dead but pid file exists

Expected results:
NetworkManager is alive and works well.

Additional info:

/var/log/messages is attached.
Comment 1 Jane Lv 2008-03-14 05:34:58 EDT
Created attachment 298035 [details]
/var/log/messages
Comment 2 Dan Williams 2008-03-31 12:05:16 EDT
Can you get the scanned output from 'iwlist eth0 scan' for the specific AP
you're trying to connect to when NM crashes?  It appears that there's an
unhandled case for creating an internal security object based on the scanned APs
properties.  I'd need more detail about the configuration of the AP to come up
with a fix.  Thanks!
Comment 3 Jane Lv 2008-04-01 04:23:23 EDT
I didn't reproduce this bug to have NM crash during the testing against 
RHEL5.2-sp1.  I will try to keep the scan log if I meet this bug again. 
Comment 4 Dan Williams 2008-04-10 12:36:39 EDT
Ok, flip the bug state back to NEW/ASSIGNED when you've been able to grab the
scan info for the AP.
Comment 5 Jane Lv 2008-04-21 03:28:37 EDT
Created attachment 303117 [details]
output of "iwlist wlan0 scan"

In my testing for Kedron driver on RHEL5.2-SP4, NetworkManager dead onece and
hanging up once.  When NetworkManager hanging up, wireless networking is still
good (Ping and data transfer work), but the screen froze and I need to change
to another term to type commands.  

The attached file is output of "iwlist wlan0 scan".  The AP I connecting when
the error happened is "otc-rh-wtest-01".
Comment 6 Dan Williams 2009-02-04 19:13:06 EST
Does this still happen with RHEL 5.3?
Comment 7 Jane Lv 2009-02-04 21:13:10 EST
(In reply to comment #6)
> Does this still happen with RHEL 5.3?

Dongpo did the wireless testing for RHEL5.3.  I would ask him if this issue was reproduced with RHEL5.3.

Dongpo, did you see this issue during RHEL5.3 testing?
Comment 8 DongpoLiu 2009-02-04 21:26:52 EST
I have never seen such issue at RHEL 5.3.
Comment 9 Dan Williams 2009-02-05 10:37:39 EST
Ok, thanks for the update.  Please re-open or file a new bug against RHEL 5.3 if the issue comes up again.

Note You need to log in before you can comment on or make changes to this bug.